"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const methods_1 = require("./methods");
const utils_1 = require("./utils");
function AllegroClient(config) {
    if (!config)
        throw new Error("Config is missing");
    this.config = config;
    if (!config.env)
        this.config.env = "prod";
    this.config.baseUrl = constants_1.BASE_URL;
    this.config.apiUrl = constants_1.API_URL;
    if (config.env === "dev") {
        this.config.baseUrl = constants_1.DEV_BASE_URL;
        this.config.apiUrl = constants_1.DEV_API_URL;
    }
    if (!config.account)
        this.config.account = "default";
    this.config.oAuth = Buffer.from(`${config.clientId}:${config.clientSecret}`).toString("base64");
    if (!config.tokens)
        this.config.tokens = (0, utils_1.getTokens)(this.config.account) || null;
}
AllegroClient.prototype = {
    getAuthorizationCodeLink: methods_1.getAuthorizationCodeLink,
    authorizeWithCode: methods_1.authorizeWithCode,
    getDeviceVerificationLink: methods_1.getDeviceVerificationLink,
    waitForDeviceVerification: methods_1.waitForDeviceVerification,
    request: methods_1.request,
};
exports.default = AllegroClient;
module.exports = AllegroClient;
//# sourceMappingURL=index.js.map